.sign-form-wrapper {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 120px 2rem 60px;
    animation: fadeInUp 0.6s ease-out forwards;
}

.sign-box {
    width: 99%;
    max-width: 420px;
    padding: 20px 25px;
    border: 1px solid var(--border-color);
    border-radius: 5px;
    background-color: white;
}

.sign-box h2 {
    color: var(--text-primary);
}

.sign-up-sub {
    color: var(--text-secondary);
    font-size: 15px;
}

.sign-header {
    text-align: center;
    margin-bottom: 1rem;
}

.form-input {
    display: flex;
    flex-direction: column;
    gap: 5px;
    position: relative;
}

.form-input label {
    font-size: 15px;
    color: var(--text-primary);
}
.password-extra-wrap {
    position: relative;
}

.form-input::after, .password-extra-wrap::after {
    content: attr(msg);
    position: absolute;
    bottom: -17px;
    font-size: 12px;
    color: var(--error-color);
}

.label-wrapper {
    display: flex;
    gap: 5px;
    align-items: center;
}

.sign-logo {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-bottom: 1rem;
}


.sign-logo-wrapper {
    background-color: var(--accent-light);
    padding: 10px;
    border-radius: 3px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#form-submit-btn {
    width: 100%;
    margin-top: 1rem;
}

.form-input {
    margin-bottom: 1rem;
}

.grid-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image:
        linear-gradient(var(--accent-light) 1px, transparent 1px),
        linear-gradient(90deg, var(--accent-light) 1px, transparent 1px);
    background-size: 40px 40px;
    z-index: -1;
    animation: gridSlide 20s linear infinite;
}

.password-extra-wrap {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 5px;
    align-items: end;
    justify-content: end;
}

.password-extra-wrap input {
    width: 100%;
}

#forgot-password {
    font-size: 13px;
    text-decoration: none;
    color: var(--text-primary);
    position: relative;
}

#forgot-password::after {
    content: '';
    width: 0%;
    height: 1px;
    position: absolute;
    bottom: 0px;
    left: 0;
    background-color: var(--accent-primary);
    transition: width .4s ease;
}

#forgot-password:hover::after {
    width: 100%;
}

.sign-space {
    width: 100%;
    text-align: center;
    margin: 1rem 0;
    position: relative;
    font-size: 13px;
    color: var(--text-secondary);
    display: flex;
    align-items: center;
    justify-content: center;
}

.divider {
    display: flex;
    align-items: center;
}

.divider span {
    padding: 0 1rem;
}

.divider::before,
.divider::after {
    content: '';
    width: 100%;
    height: 1px;
    background: var(--border-color);
}

.no-account {
    margin-top: 1rem;
    width: 100%;
    text-align: center;
    font-size: 14px;
    color: var(--text-secondary);
}

.no-account a {
    text-decoration: none;
    color: var(--accent-primary);
}


@keyframes float-1 {

    0%,
    100% {
        transform: translateY(0px) rotate(0deg);
    }

    50% {
        transform: translateY(-20px) rotate(5deg);
    }
}

.hero-decoration-1 {
    top: 10%;
    right: 5%;
    animation: float-1 6s ease-in-out infinite;
}

.hero-decoration {
    position: absolute;
    pointer-events: none;
    z-index: 0;
}

.hero-decoration-2 {
    top: 60%;
    left: 80%;
    animation: float-1 8s ease-in-out infinite 1s;
}

.hero-decoration-3 {
    top: 30%;
    left: 10%;
    animation: float-1 7s ease-in-out infinite 2s;
}

.hero-decoration-4 {
    top: 70%;
    left: 30%;
    animation: float-1 9s ease-in-out infinite 2s;
}